DK API 文档

reddit 01

15 个接口

GETcheck subreddit muted

GET https://dkai.store/api/v1/reddit/app/check_subreddit_muted

1 积分 / 成功调用

参数位置要求说明
subreddit_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/check_subreddit_muted?subreddit_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch comment replies

GET https://dkai.store/api/v1/reddit/app/fetch_comment_replies

1 积分 / 成功调用

参数位置要求说明
post_idquery必填
cursorquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_comment_replies?post_id=VALUE&cursor=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch community highlights

GET https://dkai.store/api/v1/reddit/app/fetch_community_highlights

1 积分 / 成功调用

参数位置要求说明
subreddit_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_community_highlights?subreddit_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch games feed

GET https://dkai.store/api/v1/reddit/app/fetch_games_feed

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_games_feed'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch home feed

GET https://dkai.store/api/v1/reddit/app/fetch_home_feed

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_home_feed'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch news feed

GET https://dkai.store/api/v1/reddit/app/fetch_news_feed

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_news_feed'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post comments

GET https://dkai.store/api/v1/reddit/app/fetch_post_comments

1 积分 / 成功调用

参数位置要求说明
post_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_post_comments?post_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post details

GET https://dkai.store/api/v1/reddit/app/fetch_post_details

1 积分 / 成功调用

参数位置要求说明
post_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_post_details?post_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post details batch

GET https://dkai.store/api/v1/reddit/app/fetch_post_details_batch

5 积分 / 成功调用

参数位置要求说明
post_idsquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_post_details_batch?post_ids=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post details batch large

GET https://dkai.store/api/v1/reddit/app/fetch_post_details_batch_large

22 积分 / 成功调用

参数位置要求说明
post_idsquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_post_details_batch_large?post_ids=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search typeahead

GET https://dkai.store/api/v1/reddit/app/fetch_search_typeahead

1 积分 / 成功调用

参数位置要求说明
queryquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_search_typeahead?query=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch subreddit feed

GET https://dkai.store/api/v1/reddit/app/fetch_subreddit_feed

1 积分 / 成功调用

参数位置要求说明
subreddit_namequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_subreddit_feed?subreddit_name=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch subreddit info

GET https://dkai.store/api/v1/reddit/app/fetch_subreddit_info

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/reddit/app/fetch_subreddit_info'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。